--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: info
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: notify
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: phase
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: transition
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: generate
- !ruby/object:RI::MethodSummary 
  name: valid?
comment: 
constants: []

full_name: God::Condition
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: friendly_name
name: Condition
superclass: Behavior
